#
# spec file for package libglademm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libglademm
Version:        2.6.7
Release:        bp155.2.17
Summary:        C++ Interface for libglade (Part of GNOME Project)
License:        LGPL-2.1-or-later
Group:          System/GUI/GNOME
URL:            http://www.gtkmm.org/
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.6/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
BuildRequires:  gcc-c++
BuildRequires:  gtkmm2-devel
BuildRequires:  libglade2-devel
BuildRequires:  update-desktop-files

%description
This package provides a C++ interface for libglade. It is a subpackage
of the gnomemm project. The interface provides a convenient interface
for C++ programmers to use libglade with flexible object-oriented
framework.

%package devel
Summary:        C++ interface for libglade (a part of GNOME project)
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       glibmm2-devel
Requires:       gtkmm2-devel
Requires:       libglade2-devel
Requires:       libglademm-2_4-1

%description devel
This package provides a C++ interface for libglade. It is a subpackage
of the gnomemm project. The interface provides a convenient interface
for C++ programmers to use libglade with flexible object-oriented
framework.

%package -n libglademm-2_4-1
Summary:        C++ Interface for libglade (Part of GNOME Project)
Group:          System/GUI/GNOME
Requires:       %{name} >= %{version}

%description -n libglademm-2_4-1
This package provides a C++ interface for libglade. It is a subpackage
of the gnomemm project. The interface provides a convenient interface
for C++ programmers to use libglade with flexible object-oriented
framework.

%prep
%setup -q

%build
%configure --disable-static --with-pic
make docdir=%{_docdir}/%{name}/docs %{?_smp_mflags}

%install
make docdir=%{_docdir}/%{name}/docs DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_docdir}/%{name}
cp AUTHORS ChangeLog NEWS README TODO %{buildroot}%{_docdir}/%{name}

%post -n libglademm-2_4-1 -p /sbin/ldconfig
%postun -n libglademm-2_4-1 -p /sbin/ldconfig

%files
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/AUTHORS
%license COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/TODO

%files -n libglademm-2_4-1
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/libglademm-2.4
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/*.la
%{_datadir}/devhelp/books/libglademm-2.4
%doc %{_docdir}/%{name}/docs
# Avoid BuildRequires on devhelp
%dir %{_datadir}/devhelp
%dir %{_datadir}/devhelp/books

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Apr 19 2016 zaitor@opensuse.org
- Stop exporting CFLAGS and CXXFLAGS, no longer needed due to
  changes in libsigc++.
* Thu Aug 20 2015 zaitor@opensuse.org
- Export CFLAGS="%%{optflags} -std=c++11" and CXXFLAGS="%%{optflags}
  - std=c++11". Fix build with updated MM stack.
* Fri May 15 2015 dimstar@opensuse.org
- Add baselibs.conf to source list.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Tue Sep 27 2011 vuntz@opensuse.org
- Stop calling libtoolize, aclocal, automake and autoconf: we have
  nothing changing the build system.
* Thu Jun 10 2010 wittemar@googlemail.com
- build 32bit-package
* Thu Mar 26 2009 vuntz@novell.com
- Remove BuildRequires on devhelp: it's only needed for directory
  ownership, and we can own the directories anyway.
- Clean up file list.
* Fri Oct  3 2008 mboman@suse.de
- Update to version 2.6.7:
  +  Windows build fixes
* Wed Apr  2 2008 rodrigo@suse.de
- Update to version 2.6.6:
  * Xml::connect_clicked((): Handle ToolButtons too (bgo#439339)
* Thu Jan 31 2008 ro@suse.de
- make devel package require shared lib (avoid dangling link)
* Tue Jan 29 2008 maw@suse.de
- Split out a shared library subpackage.
* Tue Jan 29 2008 maw@suse.de
- Update to version 2.6.5:
  + Build fixes.
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-* errors
- remove static libraries and "la" files
* Wed Jul 11 2007 mauro@suse.de
- Updated to 2.6.4
- Bug fixes, including fix for bug #423990
* Tue Jan 16 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Wed Nov 29 2006 sbrabec@suse.cz
- Require new package names gtkmm2-devel and glibmm2-devel.
* Mon Sep 18 2006 jhargadon@suse.de
- update to version 2.6.3
- Build fixes for Updated for Visual Studio 2005
- Glade::get_widget(): Show the name of not-found
  widgets on the console, because libglade does not seem to
  do this anymore
- Example: Delete the dialog when we are finished with it
* Sun Feb 19 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep  7 2005 sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.12).
* Tue Aug 16 2005 sbrabec@suse.cz
- Do not require devhelp.
* Thu Aug  4 2005 sbrabec@suse.cz
- Updated to version 2.6.0 (2.4 compatible branch).
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Wed May 18 2005 ro@suse.de
- fix build with current pkgconfig
* Wed Apr 20 2005 nadvornik@suse.de
- fixed to compile with gcc4
* Mon Feb 21 2005 sbrabec@suse.cz
- Updated to version 2.2.0.
* Fri Feb 11 2005 ro@suse.de
- change to libsigc++12 in neededforbuild
* Tue Feb 17 2004 sbrabec@suse.cz
- Set CXXFLAGS properly.
* Tue Feb 17 2004 sbrabec@suse.cz
- Initial SuSE package version 2.0.1.
